import { OnGatewayConnection, OnGatewayDisconnect } from '@nestjs/websockets';
import { Server, Socket } from 'socket.io';
export declare class NotificationGateway implements OnGatewayConnection, OnGatewayDisconnect {
    server: Server;
    private memberSockets;
    private ownerSockets;
    handleConnection(client: Socket): void;
    handleDisconnect(client: Socket): void;
    sendToUser(memberId: string, data: any): void;
    sendToOwner(ownerId: string, data: any): void;
    sendToUsers(memberIds: string[], data: any): void;
}
